hotssh should depend on hotwire

Bug #406544 reported by Bernd "Siggy" Brentrup on 2009-07-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
hotssh (Debian)
Fix Released
Unknown
hotssh (Ubuntu)
Undecided
Unassigned

Bug Description

This has been reported by me as Bug#593198 to Debian BTS

copying the report:

Package: hotssh
Version: 0.2.5-1
Severity: normal

Sorry to report this from my Ubuntu box but at present I don't
have hotssh installed on any Debian one, with aptitude I see
that this problem persists in Debian/squeeze.

If installed w/o hotwire, opening a displayed and recognized
URL silently does nothing. I reported this to Bugzilla

Bug 590119 Nothing happens when clicking on recognized link in window

helpfull comment: you must ctrl-click <gr>

RTS shows that hotssh imports webbrowser from hotwire.externals.
This mandates at least a Recommends: if not a Depends: hotwire.

Thanks
  Siggy

-- System Information:
Debian Release: 5.0
  APT prefers jaunty-updates
  APT policy: (500, 'jaunty-updates'), (500, 'jaunty-security'),
              (500, 'jaunty-proposed'), (500, 'jaunty')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-14-generic (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages hotssh depends on:
ii gnome-terminal 2.26.0-0ubuntu2 The GNOME 2 terminal emulator appl
ii openssh-client 1:5.1p1-5ubuntu1 secure shell client, an rlogin/rsh
ii python 2.6.2-0ubuntu1 An interactive high-level object-o
ii python-central 0.6.11ubuntu7 register and build utility for Pyt
ii python-dbus 0.83.0-1ubuntu1 simple interprocess messaging syst
ii python-gtk2 2.14.1-1ubuntu1 Python bindings for the GTK+ widge
ii python-vte 1:0.20.0-0ubuntu2 Python bindings for the VTE widget

hotssh recommends no packages.

hotssh suggests no packages.

-- no debconf information

Related branches

Bernd "Siggy" Brentrup (bsb) wrote :

Here's the trivial fix.

A better solution would be to put part of hotwire.externals into a separate package
both packages can depend on, but that requires deeper knowledge of hotwire
which I'm not using.

Changed in hotssh (Debian):
status: Unknown → New
uaneme (manostienen) wrote :

running into the same issue when using hotssh to connect to a headless Ubuntu 9.04 server... but installing hotwire is no option since it installs the entire desktop.

isnt it just a lib that needs to be installed?

Changed in hotssh (Debian):
status: New → Confirmed
Changed in hotssh (Debian):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.